X2Go Bug report logs - #783
RPM Pre Script fail on Upgrade (Nightly)

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Schlomo Schapiro <schlomo.schapiro@immobilienscout24.de>

Date: Mon, 9 Feb 2015 12:00:01 UTC

Severity: normal

Found in version 4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Full log


­čöŚ View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.502 (Entity 5.502)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#783 closed by Mihai Moldovan <ionic@ionic.de> (Re: [X2Go-Dev]
 Bug#783: Bug#783: RPM Pre Script fail on Upgrade (Nightly))
Message-ID: <handler.783.b783.142349531311405.notifdone@bugs.x2go.org>
References: <54D8D077.2000009@ionic.de>
X-X2go-PR-Message: they-closed 783
X-X2go-PR-Package: x2goserver
X-X2go-PR-Source: x2goserver
Date: Mon, 09 Feb 2015 15:25:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1423495502-11766-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2goserver package:

#783: RPM Pre Script fail on Upgrade (Nightly)

It has been closed by Mihai Moldovan <ionic@ionic.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <ionic@ionic.de> by
replying to this email.


-- 
783: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=783
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 783@bugs.x2go.org, Schlomo Schapiro <schlomo.schapiro@immobilienscout24.de>
Subject: Re: [X2Go-Dev] Bug#783: Bug#783: RPM Pre Script fail on Upgrade (Nightly)
Date: Mon, 09 Feb 2015 16:21:27 +0100
[Message part 3 (text/plain, inline)]
Control: close -1
Thanks


On 09.02.2015 02:07 PM, Mike Gabriel wrote:
> On  Mo 09 Feb 2015 12:49:16 CET, Schlomo Schapiro wrote:
>
>> Package: x2goserver
>> Version: 4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6
> Yep, should already have been fixed for several days by [1].
> [1]
> http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=0838f4686fc0dd15c66840fecd665e38a7ea1bca

Indeed. Note that my fix was pushed on 2015-02-02, while Schlomo
installs the EPEL6 version from 2015-02-01.

For what it's worth, our distribution server packages.x2go.org does only
provide the newest version, which for EPEL6 is
x2goserver-4.1.0.0-0.0x2go1.0.git20150209.1257.

We do not cache old versions. The user is responsible to make sure the
cache and package is up to date.


>> Don't you test upgrades???
>
> Nope, not always.

Nightlies are not guaranteed to work or be bug free. Those packages are
built through continuous integration and may be broken at any given
time, although we try to minimize any state of brokenness.


>
> /me wonders, if your nightly builds are not obtained from
> packages.x2go.org but from a non-up-to-date repo. Possibly we may have
> a problem in the EPEL-6 nightly builds archive.

Our servers do not provide this version anymore. I have checked the
"archive" and everything is fine.



Mihai

[signature.asc (application/pgp-signature, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Schlomo Schapiro <schlomo.schapiro@immobilienscout24.de>
To: <submit@bugs.x2go.org>
Subject: RPM Pre Script fail on Upgrade (Nightly)
Date: Mon, 9 Feb 2015 12:49:16 +0100
Package: x2goserver
Version: 4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6

RPM Upgrades of existing installations fail because of a broken %pre
script in the x2goserver-common RPM:

Resolving Dependencies
--> Running transaction check
---> Package x2goserver-common.x86_64
0:4.1.0.0-0.0x2go1.0.git20150113.1214.heuler.el6 will be updated
---> Package x2goserver-common.x86_64
0:4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================
 Package                      Arch             
Version                                                   
Repository                    Size
==============================================================================================================================================
Updating:
 x2goserver-common            x86_64           
4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6            
is24-x2go-nightly            7.2 k

Transaction Summary
==============================================================================================================================================
Upgrade       1 Package(s)

Total download size: 7.2 k
Is this ok [y/N]: y
Downloading Packages:
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6.x86_64.rpm                                           
| 7.2 kB     00:00    
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Error in PREIN scriptlet in rpm package
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6.x86_64
groupadd: group 'x2gouser' already exists
useradd: user 'x2gouser' already exists
error:
%pre(x2goserver-common-4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6.x86_64)
scriptlet failed, exit status 9
error:   install: %pre scriptlet failed (2), skipping
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6
Running post transaction command: report-yum-to-graphite.sh
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150113.1214.heuler.el6.x86_64
was supposed to be removed but is not!
  Verifying  :
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150113.1214.heuler.el6.x86_64                                                   
1/2
  Verifying  :
x2goserver-common-4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6.x86_64                                                   
2/2

Failed:
  x2goserver-common.x86_64
0:4.1.0.0-0.0x2go1.0.git20150113.1214.heuler.el6                                                                  

  x2goserver-common.x86_64
0:4.1.0.0-0.0x2go1.0.git20150201.1236.heuler.el6                                                                  


Complete!

The bad script is this:

if getent group x2gouser 1>/dev/null; then
    groupadd -r x2gouser
fi
if getent passwd x2gouser >/dev/null; then
    useradd -r -g x2gouser -d /var/lib/x2go -s /sbin/nologin \
            -c "x2go" x2gouser
fi

It should have a ! in the if clause to only call groupadd / useradd if the group or user DO NOT EXIST!!

Don't you test upgrades???

Regards,
Schlomo


-- 
Schlomo Schapiro
Systemarchitekt
Open Source Evangelist

Immobilien Scout GmbH      
Andreasstra├če 10    
10243 Berlin  
Fon +49 30 24 301-1229
Fax +49 30 24 301-1110
Mobile +49 170 753 72 60        
schlomo.schapiro@immobilienscout24.de
https://plus.google.com/100684964212588500616/about

----------------------------------------------------------
Immobilien Scout GmbH - Ein Unternehmen der Scout24-Gruppe
Gesch├Ąftsf├╝hrer: Gregory Ellis (CEO) und Christian Gisy (CFO)
Handelsregister: Amtsgericht Charlottenburg, HRB 69108
Sitz der Gesellschaft: Berlin
----------------------------------------------------------

http://www.immobilienscout24.de
Der Marktf├╝hrer:
Die Nr. 1 rund um Immobilien

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Feb 27 04:26:03 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright ┬ę 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.